Loading...
Searching...
No Matches
bst_base.h File Reference

AVL tree. More...

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | cxx::Bits::Direction
| The direction to go in a binary search tree. More...
class | cxx::Bits::Bst_node
| Basic type of a node in a binary search tree (BST). More...

## Namespaces

namespace | cxx
| Our C++ library.
namespace | cxx::Bits
| Internal helpers for the cxx package.

## Detailed Description

AVL tree.

Definition in file bst_base.h.